Mailinglist Archive: opensuse-bugs (3517 mails)

< Previous Next >
[Bug 705417] ruby-bindings: lower-cased module not found by ycp

https://bugzilla.novell.com/show_bug.cgi?id=705417

https://bugzilla.novell.com/show_bug.cgi?id=705417#c12


--- Comment #12 from Jiří Suchomel <jsuchome@xxxxxxxx> 2011-09-07 10:04:38 UTC
---
(In reply to comment #11)

That would be
require "y_lib/kerberos_client"
doing it Rails-style (IIRC)


But that's not ycp. Could we hide such transformation and do not touch either
YCP nor ruby conventions?

Currently, I do (locally)

mkdir -p /usr/share/YaST2/modules/YLib
ln -sf /usr/lib64/ruby/vendor_ruby/1.8/y_lib/kerberos_client.rb
/usr/share/YaST2/modules/YLib/KerberosClient.rb

Than I reach my goal to have this code in YCP:

import "YLib/KerberosClient";

YLib::KerberosClient::read ($[]);

But it would be better without that linking (or extra envelope ruby file)

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.
< Previous Next >